From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/sebastian-object-reflector/
Date: Tue, 9 Feb 2021 18:47:38 +0000 (UTC) [thread overview]
Message-ID: <1612896232.b64617230e52eb3f855ac0b320481af1de8a5506.whissi@gentoo> (raw)
commit: b64617230e52eb3f855ac0b320481af1de8a5506
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 9 18:29:52 2021 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Feb 9 18:43:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6461723
dev-php/sebastian-object-reflector: bump to v1.1.2
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
dev-php/sebastian-object-reflector/Manifest | 1 +
.../sebastian-object-reflector-1.1.2.ebuild | 40 ++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-php/sebastian-object-reflector/Manifest b/dev-php/sebastian-object-reflector/Manifest
index 696a3886fa3..28a1624a7c9 100644
--- a/dev-php/sebastian-object-reflector/Manifest
+++ b/dev-php/sebastian-object-reflector/Manifest
@@ -1 +1,2 @@
DIST sebastian-object-reflector-1.1.1.tar.gz 4755 BLAKE2B c549186722bde6625d44478dc90023511cd4e2fb9fe206b08881746e4443275b20eaad86a13bc202b3f464cad7239aac28da9962db7a97b9c789534424cb3ead SHA512 42dc43d1a606b1aedf2cc40443139d115fc38a50a2e51d2b4d72ecededf39bf5cecbed6d1bb002dbb6f7bd3c7da50d9436f7489f9078d52d61af7777f31f5e57
+DIST sebastian-object-reflector-1.1.2.tar.gz 4814 BLAKE2B 0692da7e50e6ff262395ece9bae1e02138bb3d86bd8b992b32d1eff9e3eabf5a1b3246e9e117314eaf49fdc5ed12b599bfb6fdab7de45506b392bf1d7dd94879 SHA512 2cfbc24d2f2105000ba039226e6dc399b847d60ca84f6643755c8cfa2d5efe3259da2e7762670ab5d330fe8075eca3124dbfe0a4780dc873e39e8c1420267c4b
diff --git a/dev-php/sebastian-object-reflector/sebastian-object-reflector-1.1.2.ebuild b/dev-php/sebastian-object-reflector/sebastian-object-reflector-1.1.2.ebuild
new file mode 100644
index 00000000000..4373ddb60bb
--- /dev/null
+++ b/dev-php/sebastian-object-reflector/sebastian-object-reflector-1.1.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/sebastian-/}"
+
+DESCRIPTION="Allows reflection of object attributes, including inherited and non-public ones"
+HOMEPAGE="https://phpunit.de"
+SRC_URI="https://github.com/sebastianbergmann/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE=""
+
+BDEPEND="dev-php/theseer-Autoload"
+
+RDEPEND="dev-php/fedora-autoloader
+ >=dev-lang/php-7.1:*"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ default
+
+ phpab \
+ --output src/autoload.php \
+ --template fedora2 \
+ --basedir src \
+ src \
+ || die
+}
+
+src_install() {
+ insinto /usr/share/php/SebastianBergmann/ObjectReflector
+ doins -r src/.
+
+ einstalldocs
+}
next reply other threads:[~2021-02-09 18:47 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-02-09 18:47 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-07-04 10:13 [gentoo-commits] repo/gentoo:master commit in: dev-php/sebastian-object-reflector/ Sam James
2021-02-09 18:47 Thomas Deutschmann
2021-01-07 21:25 Brian Evans
2021-01-07 20:11 Sam James
2021-01-07 19:22 Sam James
2020-06-04 9:06 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1612896232.b64617230e52eb3f855ac0b320481af1de8a5506.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox